Drs_Auto_Turret_System

				Current version 0.01	
					**Drconfused**

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<!-- ~~~~~~~~~~~~~~~~~~~~~~~CONTENTS~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->			
		* 	WHATS IN THE MOD?
		*	TO DO/WISH LIST
		*	VERSION HISTORY
		*	MADNESS NOTES
		*	ICON IMAGE USE
		*	OTHER RESOURCES USED, CREDITS AND RIGHTS

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<!-- ~~~~~~~~~~~~~~~~~~~~~~~WHATS IN THE MOD?~~~~~~~~~~~~~~~~~~~~~~~~~~ -->	

	Auto Turret system that allows you to change what it's ammo type is at the workbench.
	Adds in a turret system that unlocks at Engineering level 5 that allows the player to use a calibration tool at a workbench to outfit the autoturret to handle all the different ammo types including arrows, bolts, other bullet types, snowballs, and stone.
		autoTurret_Arrow_Stone
		autoTurret_Arrow_Iron
		autoTurret_Arrow_Steel
		autoTurret_Bolt_Stone
		autoTurret_Bolt_Iron
		autoTurret_Bolt_Steel
		autoTurret_Steel_44mag
		autoTurret_Steel_9mm
		autoTurret_Steel_762mm
		autoTurret_44Mag
		autoTurret_762mm
		autoTurret_Dart
		autoTurret_SnowBall
		autoTurret_Stone

	Recipes for the turret change so that a generic turret costs less than the functioning turret, the generic turret can be changed into any of the turret types if the engineering is achieved.
	
	The trader can end up having any of the turret types in the secret stash.
	
<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<!-- ~~~~~~~~~~~~~~~~~~~~~~~~TO DO/WISH LIST~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->

	1. Make each turret type
			autoTurret_Arrow_Stone
			autoTurret_Arrow_Iron
			autoTurret_Arrow_Steel
			autoTurret_Bolt_Stone
			autoTurret_Bolt_Iron
			autoTurret_Bolt_Steel
			autoTurret_Steel_44mag
			autoTurret_Steel_9mm
			autoTurret_Steel_762mm
			autoTurret_44Mag
			autoTurret_762mm
			autoTurret_Dart
			autoTurret_SnowBall
			autoTurret_Stone
			
	2. Define the recipes to convert
		2.1 Generic Turret as Item that can't be placed, this is the blank that all can be turned into and all can be crafted from.
				Generic_Turret
					reduced the autoTurret recipe for the Generic_Turret
		2.2 Define calibration item
				Calibration_Kit
					this kit is made from the remainder of the reduced autoTurret recipe so that any turret made is only the cost of 1 autoTurret
	3. Work on balancing the turrets
		3.1 Snowballs should do the least amount of damage.
		3.2 should speed be a different factor for each type or should turret speed be assumed to be equal across the board because its essentialy the barrel that is the calibration?
	4. Change sounds so that depending on the ammo type a more appropriate is played.

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<!-- ~~~~~~~~~~~~~~~~~~~~~~~VERSION HISTORY~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->

	
	0.01	
		
	
<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<!-- ~~~~~~~~~~~~~~~~~~~~~~~MADNESS NOTES~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->			










<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<!-- ~~~~~~~~~~~~~~~~~~~~~~~ICON IMAGE USE~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->

	1. Any usage of other's images/code/objects etc should be included here so that credit is given where credit is due. 
	2. 
	
	
<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<!-- ~~~~~~~~~~~OTHER RESOURCES USED, CREDITS AND RIGHTS~~~~~~~~~~~~~~~ -->


